#!/usr/bin/perl -wT

use strict;
use Config::TextKV;

# The object is constructed by specifying the filename, the delimeter 
# character and the comment character used in the file.  
my $x = Config::TextKV->new('/etc/ssh/sshd_config', ' ', '#');

# Update a key/value pair if it exists, and enables it (Ensures it isn't
# commented out) in memory.  If the key does not exist, it will be 
# created if 'force' is sent as the 3rd argument.  Otherwise, a fatal
# error occurs.
$x->SetKey('Port', '22', 'force');

# Getting the value of a key:  If the key does not
# exist, undef is returned.
if(defined(my $value = $x->GetKey('Protocol'))) {
  print "Protocol = $value.\n";
}
else {
  print "Protocol is not defined.\n";
}

# You can also enable and disable (add and remove comments in front of
# keys in the file by using $x->SetKeyStatus and $x->GetKeyStatus.

# Explicitly rewrite file from memory back to disk with changes.  Note:  
# This will happen automatically when $x falls out of scope and is 
# destroyed.  This can also be done anytime by calling the private 
# method $x->_commit.
$x = undef;
